{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}
<link href="{% static 'css/wizard.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Crear Rúbrica" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Crear Rúbrica" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}


<div class="row animated fadeInRight">
    <div class="col-md-12 bhoechie-tab-container">
        <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 bhoechie-tab-menu">
          <div class="list-group">
           {% for session in sessions %}
           {% if session.number == 1 %}
            <a href="#" class="list-group-item active text-center">
            {% else %}
            <a href="#" class="list-group-item text-center">
            {% endif %}
                <h4>Sesión {{session.number}}</h4>
            </a>
            {% endfor %}
          </div>
        </div>
        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 bhoechie-tab">
            <!-- flight section -->
            {% for session in sessions %}
            {% if session.number == 1 %}
            <div class="active bhoechie-tab-content">
            {% else %}
            <div class="bhoechie-tab-content">
            {% endif %}
               {% if session.week %}
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox">
                            <div class="ibox-title navy-bg">
                                <h5 style="font-size:20px;">Sesión {{session.number}}: Semana</h5>
                                <div class="ibox-tools">
                                    <a class="collapse-link">
                                        <i class="fa fa-chevron-up" style="color:white"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="ibox-content">
                                <div class="row" id="topic_week{{session.week.pk}}">
                                       {% if session.week.topic %}
                                        <div class="col-md-10">
                                            <div class="form-group">
                                                <label class="control-label" for="id_tematica{{session.week.pk}}">Tematica de la semana</label>
                                                <input class=" form-control" value="{{session.week.topic}}" disabled id="id_tematica{{session.week.pk}}" name="tematica" required="" type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <button class="btn btn-primary editar-tematica" data-week="{{session.week.pk}}" style="margin-top:22px">Editar Tematica</button>
                                        </div>                                        
                                        {% else %}
                                        <div class="col-md-10">
                                            <div class="form-group">
                                                <label class="control-label" for="id_tematica{{session.week.pk}}">Tematica de la semana</label>
                                                <input class=" form-control" value = "" id="id_tematica{{session.week.pk}}" name="tematica" required="" type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <button class="btn btn-primary agregar-tematica" data-week="{{session.week.pk}}" style="margin-top:22px">Agregar Tematica</button>
                                        </div>
                                        {% endif %}
                               </div><hr>
                                <div class="row animated fadeInRight acciones">
                                   <div class="col-md-4">
                                        <button type="button" class="btn btn-block btn-success text-center objetivo" id="objetivo"><i class="fa fa-plus"></i> Agregar Objetivo</button>
                                   </div>
                                   <div class="col-md-4">
                                       <button type="button" class="btn btn-block btn-success text-center avance"><i class="fa fa-plus"></i> Agregar Avance</button>
                                   </div>
                                   <div class="col-md-4">
                                       <button type="button" class="btn btn-block btn-success text-center actividad"><i class="fa fa-plus"></i> Agregar Actividad</button>
                                   </div>
                               </div>
                               <div class="row animated fadeInRight formulario" style="display:none;" hide="">
                                   <div class="col-md-8">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_name{{session.week.pk}}">Ítem</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_name{{session.week.pk}}" name="name" required="" type="text">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_percentage{{session.week.pk}}">Porcentaje</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_percentage{{session.week.pk}}" max="100" min="0" name="percentage" required="" type="number">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                       <button type="button" class=" confirmar btn btn-primary" data-weekid="{{session.week.pk}}" style="margin-top:22px;">Confirmar</button>
                                       <button class="btn btn-danger cancel" style="margin-top:22px;"><i class="fa fa-times"></i></button>
                                   </div>
                               </div>
                               <hr>
                               <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title red-bg">
                                                <h5 style="font-size:20px;">Objetivos de aprendizaje</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-8">Objetivo</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="objetive_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %}
                                                        {% if evaluation.type_evaluation == "OB" %}
                                                        <tr id="obj{{evaluation.pk}}">
                                                            <td class="col-md-8">{{evaluation.name}}</td>
                                                            <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" data-option="objetive" class="btn btn-warning btn-sm" data-item_pk="{{evaluation.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "{{evaluation.pk}}"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endif %}
                                                        {% endfor %}
                                                        </tbody>
                                                        <tfoot>
                                                        <tr>
                                                          <td class="col-md-8"></td>
                                                          <td class="col-md-2" id="porcentaje_total_objetive{{session.week.pk}}">Total: {{session.week.total_objetive_percentage}}%</td>
                                                          <td class="col-md-2"></td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                               <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title lazur-bg">
                                                <h5 style="font-size:20px;">Avances de producto</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-8">Avance</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="progress_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %}
                                                        {% if evaluation.type_evaluation == "AV" %}
                                                        <tr id="ava{{evaluation.pk}}">
                                                            <td class="col-md-8">{{evaluation.name}}</td>
                                                            <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" data-option="activity" class="btn btn-warning btn-sm" data-project_id="{{evaluation.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "{{evaluation.pk}}"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endif %}
                                                        {% endfor %}
                                                        </tbody>
                                                         <tfoot>
                                                            <tr>
                                                              <td class="col-md-8"></td>
                                                              <td class="col-md-2" id="porcentaje_total_progress{{session.week.pk}}">Total: {{session.week.total_progress_percentage}}%</td>
                                                              <td class="col-md-2"></td>
                                                            </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                                <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title yellow-bg">
                                                <h5 style="font-size:20px;">Actividades Semanales</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class = "col-md-8">Actividad</th>
                                                            <th class = "col-md-2">Porcentaje</th>
                                                            <th class = "col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="activity_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %}
                                                        {% if evaluation.type_evaluation == "AT" %}
                                                        <tr id="act{{evaluation.pk}}">
                                                            <td class="col-md-8">{{evaluation.name}}</td>
                                                            <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" data-option="activity" class="btn btn-warning btn-sm" data-project_id="{{evaluation.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "{{evaluation.pk}}"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endif %}
                                                        {% endfor %}
                                                        </tbody>
                                                        <tfoot>
                                                        <tr>
                                                          <td class="col-md-8"></td>
                                                          <td class="col-md-2" id="porcentaje_total_activity{{session.week.pk}}">Total: {{session.week.total_activity_percentage}}%</td>
                                                          <td class="col-md-2"></td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                            </div>
                        </div>
                    </div>
                </div>
                {% elif session.hito %}
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox">
                            <div class="ibox-title yellow-bg">
                                <h5 style="font-size:20px;">Sesión {{session.number}}: Hito</h5>
                                <div class="ibox-tools">
                                    <a class="collapse-link">
                                        <i class="fa fa-chevron-up" style="color:white"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="ibox-content">
                                <div class="row animated fadeInRight acciones_hito">
                                   <div class="col-md-4">
                                        <button type="button" class="btn btn-block btn-success text-center tecnica"><i class="fa fa-plus"></i> Agregar Item - Evaluación Técnica</button>
                                   </div>
                                   <div class="col-md-4">
                                       <button type="button" class="btn btn-block btn-success text-center presentacion"><i class="fa fa-plus"></i> Agregar Topico - Evaluación Presentación</button>
                                   </div>
                                   <div class="col-md-4">
                                       <button type="button" class="btn btn-block btn-success text-center memoria"><i class="fa fa-plus"></i> Agregar Item - Evaluación Memoria</button>
                                   </div>
                               </div>
                               <div class="row animated fadeInRight formulario_hito" style="display:none;" hide="">
                                   <div class="col-md-8">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_item{{session.hito.pk}}">Ítem</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_item{{session.hito.pk}}" name="name" required="" type="text">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_percentage_item{{session.hito.pk}}">Porcentaje</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_percentage_item{{session.hito.pk}}" max="100" min="0" name="percentage" required="" type="number">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                       <button type="button" class=" confirmar btn btn-primary" data-hitoid="{{session.hito.pk}}" style="margin-top:22px;">Confirmar</button>
                                       <button class="btn btn-danger cancel" style="margin-top:22px;"><i class="fa fa-times"></i></button>
                                   </div>
                               </div>
                               <div class="row animated fadeInRight formulario_hito_topico" style="display:none;" hide="">
                                   <div class="col-md-4">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_topico{{session.hito.pk}}">Tópico</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_topico{{session.hito.pk}}" name="topico" list="topicos{{session.hito.pk}}" required="" type="text">
                                                    <datalist id="topicos{{session.hito.pk}}">
                                                      <option value="Boston">
                                                    </datalist>
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-4">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_subtopico{{session.hito.pk}}">SubTopico</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_subtopico{{session.hito.pk}}" name="topico" required="" type="text">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                        <div class="form-group">
                                                    <label class="control-label  " for="id_percentage_presentation{{session.hito.pk}}">Porcentaje</label>
                                                <div class=" ">
                                                    <input class=" form-control" id="id_percentage_presentation{{session.hito.pk}}" max="100" min="0" name="percentage" required="" type="number">
                                                </div>
                                        </div>
                                    </div>
                                   <div class="col-md-2">
                                       <button type="button" class=" confirmar btn btn-primary" data-hitoid="{{session.hito.pk}}" style="margin-top:22px;">Confirmar</button>
                                       <button class="btn btn-danger cancel" style="margin-top:22px;"><i class="fa fa-times"></i></button>
                                   </div>
                               </div>
                               <hr>
                               <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title lazur-bg">
                                                <h5 style="font-size:20px;">Evaluación Técnica</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-8">Ítem</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="technique_table{{session.hito.pk}}">
                                                        {% for technique in session.hito.technique_set.all %}
                                                        <tr>
                                                            <td class="col-md-8">{{technique.item}}</td>
                                                            <td class="col-md-2">{{technique.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" class="btn btn-warning btn-sm" data-technique="technique" data-project_id="{{technique.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_pk = "{{technique.pk}}" data-item_option="technique"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endfor %}
                                                        </tbody>
                                                        <tfoot>
                                                        <tr>
                                                          <td class="col-md-8"></td>
                                                          <td class="col-md-2" id="porcentaje_total_technique{{session.hito.pk}}">Total: {{session.hito.total_technique_percentage}}%</td>
                                                          <td class="col-md-2"></td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                               <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title red-bg">
                                                <h5 style="font-size:20px;">Evaluación Presentación</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-4">Tópico</th>
                                                            <th class="col-md-4">Subtópico</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="presentation_table{{session.hito.pk}}">
                                                        {% for item in session.hito.topic_set.all %}
                                                        {% for subtopic in item.subtopic_set.all %}
                                                        <tr>
                                                            <td class="col-md-4">{{item.name}}</td>
                                                            <td class="col-md-4">{{subtopic.name}}</td>
                                                            <td class="col-md-2">{{subtopic.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" class="btn btn-warning btn-sm" data-option="subtopic" data-project_id="{{subtopic.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_pk = "{{subtopic.pk}}" data-item_option="presentation"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endfor %}
                                                        {% endfor %}
                                                        </tbody>
                                                        <tfoot>
                                                        <tr>
                                                          <td class="col-md-4"></td>
                                                          <td class="col-md-4"></td>
                                                          <td class="col-md-2" id="porcentaje_total_presentation{{session.hito.pk}}">Total: {{session.hito.total_presentation_percentage}}%</td>
                                                          <td class="col-md-2"></td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                                <div class="row">
                                   <div class="col-md-12">
                                       <div class="ibox">
                                            <div class="ibox-title navy-bg">
                                                <h5 style="font-size:20px;">Evaluación Memoria</h5>
                                                <div class="ibox-tools">
                                                    <a class="collapse-link">
                                                        <i class="fa fa-chevron-down" style="color:white"></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="ibox-content">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-8">Ítem</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-2">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="memory_table{{session.hito.pk}}">
                                                        {% for memory in session.hito.memory_set.all %}
                                                        <tr>
                                                            <td class="col-md-8">{{memory.item}}</td>
                                                            <td class="col-md-2">{{memory.percentage}}%</td>
                                                            <td class="col-md-2"><button href="#" class="btn btn-warning btn-sm" data-option="memory" data-project_id="{{memory.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_pk = "{{evaluation.pk}}" data-item_option="memory"><i class="fa fa-times"></i></button></td>
                                                        </tr>
                                                        {% endfor %}
                                                        </tbody>
                                                        <tfoot>
                                                        <tr>
                                                          <td class="col-md-8"></td>
                                                          <td class="col-md-2" id="porcentaje_total_memory{{session.hito.pk}}">Total: {{session.hito.total_memory_percentage}}%</td>
                                                          <td class="col-md-2"></td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                            </div>
                        </div>
                    </div>
                </div>
                {% endif %}
            </div>
            {% endfor %}
        </div>
    </div>
</div>

<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" style="width:70%" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h2>Editar Ítem</h2>
              </div>
              <div class="modal-body">
                <div class="row">
                   <div class="col-md-8">
                        <div class="form-group">
                            <label class="control-label" for="item">Ítem</label>
                            <input class=" form-control" value = "" id="item" name="tematica" required="" type="text">
                        </div>
                    </div>
                   <div class="col-md-2">
                        <div class="form-group">
                            <label class="control-label" for="porcentaje">Porcentaje</label>
                            <input class=" form-control" value = "" id="porcentaje" name="tematica" required="" type="text">
                        </div>
                    </div>
                    <div class="col-md-2">
                        <button class="btn btn-primary btn-sm agregar-tematica" style="margin-top:23px" data-week="{{session.week.pk}}">Agregar Tematica</button>
                        <button type="button" class="btn btn-sm btn-danger" style="margin-top:23px" data-dismiss="modal"><i class="fa fa-times"></i></button>
                    </div>
                </div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->

{% endblock content %}
    

{% block javascript %}

<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>


<script>
    
$('#exampleModal').on('show.bs.modal', function (event) {

    var button = $(event.relatedTarget); // Button that triggered the modal
    var pk = button.data("item_pk");
    var option = button.data("option");
    data = {
                        pk : pk,
                        option: option,
                        csrfmiddlewaretoken: '{{ csrf_token }}'
                    };
    
    $.post("{% url 'delete_evaluation' %}",data,function(response){

        if (response.type == "OB"){
            $('#porcentaje_total_objetive' + response.week_pk ).html('Total: ' + response.percentage + '%')
        }
        else if(response.type == "AV"){
            $('#porcentaje_total_progress' + response.week_pk ).html('Total: ' + response.percentage + '%')

        }
        else if(response.type == "AT"){
            $('#porcentaje_total_activity' + response.week_pk ).html('Total: ' + response.percentage + '%')
        }
    }); 
    
});

 $(document).on("click", ".delete", function(event){
        var clicked = event.target
        $(this).parent().parent().remove();
        var evaluation_pk = $(this).data("evaluation_pk");
        data = {
                        evaluation_pk : evaluation_pk,
                        csrfmiddlewaretoken: '{{ csrf_token }}'
                    };
        $.post("{% url 'delete_evaluation' %}",data,function(response){

            if (response.type == "OB"){
                $('#porcentaje_total_objetive' + response.week_pk ).html('Total: ' + response.percentage + '%')
            }
            else if(response.type == "AV"){
                $('#porcentaje_total_progress' + response.week_pk ).html('Total: ' + response.percentage + '%')

            }
            else if(response.type == "AT"){
                $('#porcentaje_total_activity' + response.week_pk ).html('Total: ' + response.percentage + '%')
            }
        }); 
                
 });
    
    
$(document).on("click",".delete_item", function(event){
               
    var item_option = $(this).data("item_option");
    var item_pk = $(this).data("item_pk");
    var clicked = $(this).parent().parent();
    $(this).parent().parent().remove();
    console.log(clicked);
    data = {
        
              csrfmiddlewaretoken: '{{ csrf_token }}',
              option : item_option,
              pk : item_pk
    };
    
    $.post("{% url 'delete_item' %}",data,function(response){
            
        if(response.option == "ME"){
            $("#porcentaje_total_memory" + response.hito_pk).html("Total: " + response.total_percentage + "%")
        }
        else if(response.option == "TE"){
            $("#porcentaje_total_technique" + response.hito_pk).html("Total: " + response.total_percentage + "%")
        }
           
        });
    
    
});
    
$(document).on("click", ".agregar-tematica", function(){
        var week_pk_form = $(this).data("week");
        var week_topic_form = $("#id_tematica" + week_pk_form).val();
        data = {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                week_pk: week_pk_form,
                week_topic: week_topic_form };
        
      
        $.post("{% url 'add_topic_week' %}",data,function(response){
            $("#topic_week" + week_pk_form).html('<div class="col-md-10">\
                                        <div class="form-group">\
                                            <label class="control-label" for="id_tematica' + response.week_pk + '">Tematica de la semana</label>\
                                            <input class=" form-control" value="' + response.week_topic + '" disabled id="id_tematica' + response.week_pk + '" name="tematica" required="" type="text">\
                                        </div>\
                                    </div>\
                                    <div class="col-md-2">\
                                        <button class="btn btn-primary editar-tematica" data-week="' + response.week_pk + '" style="margin-top:22px">Editar Tematica</button>\
                                    </div>')
               
        }); 
    });    
    
    
$(document).ready(function() {
        
    $(".tecnica").click(function() {
        option = "tecnica";
        $('.acciones_hito').hide();
        $('.formulario_hito').show();
    });
    
    $(".memoria").click(function(){
        option = "memoria";
        $('.acciones_hito').hide();
        $('.formulario_hito').show(); 
    });
    
    $(".presentacion").click(function(){
        option = "presentacion";
        $('.acciones_hito').hide();
        $('.formulario_hito_topico').show(); 
    });
    
    $(".objetivo").click(function() {
        option = "objetivo";
        $('.acciones').hide();
        $('.formulario').show();
    });
    
    $(".actividad").click(function(){
        option = "actividad";
        $('.acciones').hide();
        $('.formulario').show(); 
    });
    
    $(".avance").click(function(){
        option = "avance";
        $('.acciones').hide();
        $('.formulario').show(); 
    });
    
    $(".confirmar").click(function(){
        
        if(option == "presentacion"){
            var hito_pk = $(this).data("hitoid");
            var topico = $('#id_topico' + hito_pk).val()
            var subtopico = $('#id_subtopico' + hito_pk).val()
            var porcentaje = $('#id_percentage_presentation' + hito_pk).val()
            data = {
                
                hito_pk : hito_pk,
                option : option,
                topic : topico,
                subtopic : subtopico,
                percentage : porcentaje,
                csrfmiddlewaretoken: '{{ csrf_token }}'  
            }
            
            $.post("{% url 'add_presentation_item' %}",data,function(response){
                if(response.error == 0){
                    swal({
                            title: "Error de Porcentaje",
                            text: "El Ítem que intenta añadir excede el 100% de la rúbrica"
                        });
                }
                else{
                    $("#presentation_table" + response.hito_pk).append('<tr class="animated fadeInRight">\
                                                                <td class="col-md-4">' + response.topic_name + '</td>\
                                                                <td class="col-md-4">' + response.subtopic_name + '</td>\
                                                                <td class="col-md-2">' + response.subtopic_percentage + '%</td>\
                                                                <td class="col-md-2"><button href="#" data-option="subtopic" class="btn btn-warning btn-sm" data-evaluation_pk="' + response.subtopic_pk+'" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_option="presentation" data-item_pk = "' + response.subtopic_pk + '"><i class="fa fa-times"></i></button></td>\
                                                            </tr>');
                    $("#porcentaje_total_presentation" + response.hito_pk).html("Total: " + response.total_percentage + "%");
                }
                                                                
            });
            
            
        }
        
        else if(option == "memoria" || option == "tecnica"){
            var hito_pk = $(this).data("hitoid");
            var item = $('#id_item' + hito_pk).val();
            var porcentaje = $("#id_percentage_item" + hito_pk).val();
            data = {
                        hito_pk : hito_pk,
                        option : option,
                        item : item,
                        percentage : porcentaje,
                        csrfmiddlewaretoken: '{{ csrf_token }}'
                    };
             
            $.post("{% url 'item_create' %}",data,function(response){
                if(response.error == 0){
                    swal({
                            title: "Error de Porcentaje",
                            text: "El Ítem que intenta añadir excede el 100% de la rúbrica"
                        });
                }
                else if(response.option == "memory"){
                     $('#memory_table' + response.hito_pk).append('<tr class="animated fadeInRight">\
                                                                    <td class="col-md-8">' + response.item_name + '</td>\
                                                                    <td class="col-md-2">' + response.item_percentage + '%</td>\
                                                                    <td class="col-md-2"><button href="#" class="btn btn-warning btn-sm" data-item_pk="' + response.item_pk + '" data-option="memory" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_option = "memory" data-item_pk =' + response.item_pk + '><i class="fa fa-times"></i></button></td>\
                                                                   </tr>');
                    
                    $('#porcentaje_total_memory' + response.hito_pk).html("Total: " + response.total_percentage + "%");
                }
                else if(response.option == "technique"){
                     $('#technique_table' + response.hito_pk).append('<tr class="animated fadeInRight">\
                                                                        <td class="col-md-8">' + response.item_name + '</td>\
                                                                        <td class="col-md-2">' + response.item_percentage + '%</td>\
                                                                        <td class="col-md-2"><button href="#" data-option="technique" class="btn btn-warning btn-sm" data-item_pk="'+ response.item_pk + '" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn delete_item btn-danger btn-sm" data-item_option ="technique" data-item_pk =' + response.item_pk + '><i class="fa fa-times"></i></button></td>\
                                                                    </tr>');
                    
                    $('#porcentaje_total_technique' + response.hito_pk).html("Total: " + response.total_percentage + "%");
                    
                }
            });  
        }
        else{
            
            var week_pk = $(this).data("weekid");
            var name = $('#id_name' + week_pk).val();
            var porcentaje = $('#id_percentage' + week_pk).val(); 
            data = {
                        week_pk : week_pk,
                        option : option,
                        name : name,
                        percentage : porcentaje,
                        csrfmiddlewaretoken: '{{ csrf_token }}'
                    };

            $.post("{% url 'evaluation_create' %}",data,function(response){
                if(response.error == 0){
                    swal({
                            title: "Error de Porcentaje",
                            text: "El Ítem que intenta añadir excede el 100% de la rúbrica"
                        });
                }
                else if(response.evaluation_type == "OB"){
                    $('#objetive_table' + response.week_pk).append('<tr class="animated fadeInRight">\
                                                                        <td class="col-md-8">' + response.evaluation_name + '</td>\
                                                                        <td class="col-md-2">' + response.evaluation_percentage + '%</td>\
                                                                        <td class="col-md-2"><button href="#" data-option="objetive" class="btn btn-warning btn-sm" data-item_pk="' + response.evaluation_pk + '" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "' + response.evaluation_pk + '"><i class="fa fa-times"></i></button></td>\
                                                                    </tr>');

                    
                    $('#porcentaje_total_objetive' + response.week_pk ).html('Total: ' + response.total_percentage + '%')
                }
                else if(response.evaluation_type == "AV"){
                    $('#progress_table' + response.week_pk).append('<tr class="animated fadeInRight">\
                                                                        <td class="col-md-8">' + response.evaluation_name + '</td>\
                                                                        <td class="col-md-2">' + response.evaluation_percentage + '%</td>\
                                                                        <td class="col-md-2"><button href="#" data-option="progress" class="btn btn-warning btn-sm" data-item_pk="' + response.evaluation_pk + '" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "' + response.evaluation_pk + '"><i class="fa fa-times"></i></button></td>\
                                                                    </tr>'); 
                
                    $('#porcentaje_total_progress' + response.week_pk ).html('Total: ' + response.total_percentage + '%')
                }
                else if(response.evaluation_type == "AT"){
                     $('#activity_table' + response.week_pk).append('<tr class="animated fadeInRight">\
                                                                        <td class="col-md-8">' + response.evaluation_name + '</td>\
                                                                        <td class="col-md-2">' + response.evaluation_percentage + '%</td>\
                                                                        <td class="col-md-2"><button href="#" data-option="activity" class="btn btn-warning btn-sm" data-item_pk="' + response.evaluation_pk + '" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-pencil"></i></button> <button class="btn btn-danger btn-sm delete" data-evaluation_pk = "' + response.evaluation_pk + '"><i class="fa fa-times"></i></button></td>\
                                                                    </tr>');
                    
                    $('#porcentaje_total_activity' + response.week_pk ).html('Total: ' + response.total_percentage + '%')
                }
                
                $('.formulario').hide();
                $('.acciones').show();
            });        
        }

     });
    
    $(".cancel").click(function(){
        $('.formulario').hide();
        $('.acciones').show();
        $('.formulario_hito').hide();
        $('.formulario_hito_topico').hide();
        $('.acciones_hito').show();
    });
        
    $(document).on("click", ".editar-tematica", function(){
        var week_pk = $(this).data("week");
        var week_topic = $("#id_tematica" + week_pk).val();
        $("#topic_week" + week_pk).html('<div class="col-md-10">\
                                    <div class="form-group">\
                                        <label class="control-label" for="id_tematica' + week_pk + '">Tematica de la semana</label>\
                                        <input class=" form-control" value="' + week_topic  + '" id="id_tematica' + week_pk + '" name="tematica" required="" type="text">\
                                    </div>\
                                </div>\
                                <div class="col-md-2">\
                                    <button class="btn btn-primary agregar-tematica" data-week="' + week_pk + '" style="margin-top:22px">Agregar Tematica</button>\
                                </div>')
        
    });
    
    $("div.bhoechie-tab-menu>div.list-group>a").click(function(e) {
        e.preventDefault();
        $(this).siblings('a.active').removeClass("active");
        $(this).addClass("active");
        var index = $(this).index();
        $("div.bhoechie-tab>div.bhoechie-tab-content").removeClass("active");
        $("div.bhoechie-tab>div.bhoechie-tab-content").eq(index).addClass("active");
    });
    
    
});


</script>

{% endblock javascript %}

